declare type Dict = Record<string, any>;
export declare const StepsStyleConfig: {
    parts: string[];
    baseStyle: (props: Dict) => {
        steps: {
            fontFamily: string;
            textAlign: string;
            width: string;
            display: string;
            flex: number;
        };
        step: {
            display: string;
            position: string;
            alignItems: string;
            justifyContent: string;
        };
        stepIcon: {
            display: string;
            borderRadius: string;
            alignItems: string;
            justifyContent: string;
        };
        connector: {
            flex: number;
            display: string;
            height: string;
            mr: number;
        };
        label: {
            fontWeight: string;
            color: any;
            textAlign: string;
            fontSize: string;
        };
        description: {
            marginTop: string;
            color: any;
            textAlign: string;
            opacity: number;
            fontSize: string;
        };
    };
    sizes: {
        sm: {
            stepIcon: {
                width: string;
                height: string;
                borderWidth: string;
            };
            icon: {
                width: string;
                height: string;
            };
            label: {
                fontWeight: string;
                textAlign: string;
                fontSize: string;
            };
            description: {
                fontWeight: string;
                textAlign: string;
                fontSize: string;
            };
        };
        md: {
            stepIcon: {
                width: string;
                height: string;
                borderWidth: string;
            };
            icon: {
                width: string;
                height: string;
            };
            label: {
                fontWeight: string;
                textAlign: string;
                fontSize: string;
            };
            description: {
                fontWeight: string;
                textAlign: string;
                fontSize: string;
            };
        };
        lg: {
            stepIcon: {
                width: string;
                height: string;
                borderWidth: string;
            };
            icon: {
                width: string;
                height: string;
            };
            label: {
                fontWeight: string;
                textAlign: string;
                fontSize: string;
            };
            description: {
                fontWeight: string;
                textAlign: string;
                fontSize: string;
            };
        };
    };
    defaultProps: {
        size: string;
        colorScheme: string;
    };
};
export {};
